// グローバル管理
var Global = function(elemId, cssFileName, debugLvl){
	try{
		this.debugLvl = (typeof(debugLvl) == "undefined" ? 1 : debugLvl);

		// Error Check
		if(
				arguments.length	< 2
			||	typeof(elemId)		== "undefined"
			||	typeof(cssFileName)	== "undefined"
		){
			this.errorMsg(this.debugLvl, "Invalid parameter. => ["+ arguments.length + " : " + typeof(elemId) + " : " + typeof(cssFileName) + "]");
			throw -1;
		}

		this.screenType = this.getScreenType();
		this.gElementsAry = new Array();

		if(elemId != "" && cssFileName != ""){
			this.screenTypeDir = this.screenType + "/";
			this.getElement(elemId, true).href = this.screenTypeDir + cssFileName;
		}
		else{
			this.screenTypeDir = "";
		}
	}catch(e){
	}
}

Global.prototype = {
	 SCREEN_WAY_LANDSCAPE	: 1
	,SCREEN_WAY_PORTRAIT	: 2

	// 解像度判定
	,getScreenType : function(){
		// 縦横の画面サイズのうち、短い方を取得
		var screenSize = (screen.availWidth < screen.availHeight) ? screen.availWidth : screen.availHeight;

		if(screenSize >= 480/* VGAの実画面サイズ(短い方) */ ){
			return "VGA";
		}
		else{
			return "QVGA";
		}
	}

	,getScreenWay : function(){
		if(screen.availWidth > screen.availHeight){
			return this.SCREEN_WAY_LANDSCAPE;
		}
		return this.SCREEN_WAY_PORTRAIT;
	}

	,getElement : function(id, nonSetFlag){
		if(typeof(id) != 'string'){
			if(1 <= this.debugLvl){ alert('Id is invalid type. => ['+ typeof(id) + ']'); }
			throw -1;
		}

		var elem = this.gElementsAry[id];
		if(!elem){
			elem = document.getElementById(id);
			if(!elem){
				if(1 <= this.debugLvl){ alert('Id['+ id + '] is not found.'); }
				throw -1;
			}

			if(!nonSetFlag){
				this.gElementsAry[id] = elem;
			}
		}

		return elem;
	}

	,displayMsg : function(minLvl, localDebugLvl, message){
		if(typeof(localDebugLvl) == "undefined"){ localDebugLvl = 0; }
		var debugLvl = (localDebugLvl <= this.debugLvl) ? this.debugLvl : localDebugLvl;
		if(minLvl > debugLvl){ return; }

		alert(message);
	}

	,infoMsg : function(localDebugLvl, message){
		this.displayMsg(2, localDebugLvl, message);
	}

	,errorMsg : function(localDebugLvl, message){
		this.displayMsg(1, localDebugLvl, message);
	}
}

